curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/{listId} \
--header 'Authorization: Bearer <token>'{
"list": {
"createdAt": "2023-11-15T18:15:00.812Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "ENUMERATION",
"operator": "IS_ANY_OF",
"values": [
"inactive",
"active"
]
},
"property": "hs_content_membership_status"
},
{
"filterType": "IN_LIST",
"listId": 2,
"operator": "IN_LIST"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:15:00.812Z",
"listId": "1",
"listVersion": 1,
"name": "Snapshot List Example",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "SNAPSHOT",
"size": 330,
"updatedAt": "2023-11-15T18:15:20.210Z",
"updatedById": "123"
}
}Fetch a single list by ILS list ID.
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/{listId} \
--header 'Authorization: Bearer <token>'{
"list": {
"createdAt": "2023-11-15T18:15:00.812Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "ENUMERATION",
"operator": "IS_ANY_OF",
"values": [
"inactive",
"active"
]
},
"property": "hs_content_membership_status"
},
{
"filterType": "IN_LIST",
"listId": 2,
"operator": "IN_LIST"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:15:00.812Z",
"listId": "1",
"listVersion": 1,
"name": "Snapshot List Example",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "SNAPSHOT",
"size": 330,
"updatedAt": "2023-11-15T18:15:20.210Z",
"updatedById": "123"
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The ILS ID of the list to fetch.
A flag indicating whether or not the response object list definition should include a filter branch definition. By default, object list definitions will not have their filter branch definitions included in the response.
Successful response, for a request with includeFilters set to true.
The response for a list fetch request.
An object list definition.
Show child attributes
Was this page helpful?